<?php

/**
 * @file
 * Install, update, and uninstall functions for the Trash module.
 */

/**
 * Update the enabled entity types and bundles configuration.
 */
function trash_post_update_set_enabled_entity_types_bundles(): void {
  $config = \Drupal::configFactory()->getEditable('trash.settings');
  $enabledEntityTypes = $config->get('enabled_entity_types');
  $enabledEntityTypesBundles = array_combine(
    $enabledEntityTypes,
    array_fill(0, count($enabledEntityTypes), [])
  );

  $config->set('enabled_entity_types', $enabledEntityTypesBundles);
  $config->save();
}

/**
 * Add missing 'auto_purge' configuration.
 */
function trash_post_update_fix_missing_auto_purge(): void {
  $config = \Drupal::configFactory()->getEditable('trash.settings');
  if ($config->get('auto_purge') === NULL) {
    $config->set('auto_purge', [
      'enabled' => FALSE,
      'after' => '30 days',
    ]);
    $config->save(TRUE);
  }
}
